summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ltlnx2022-08-12 23:02:21 +0200
committer Willy Sudiarto Raharjo2022-08-13 05:40:39 +0200
commit50873fc7bf0bea86f56a740bfb2a6c71342ab31b (patch)
tree74fb49e62536b89b48d534622aa3e1d33d070818
parent8bb1da092f31295277da48bbbdae5dd1818bf459 (diff)
downloadslackbuilds-50873fc7bf0bea86f56a740bfb2a6c71342ab31b.tar.gz
misc/xcb-imdkit: Added (implementation of the xim protocol in xcb)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--misc/xcb-imdkit/README8
-rw-r--r--misc/xcb-imdkit/slack-desc19
-rw-r--r--misc/xcb-imdkit/xcb-imdkit.SlackBuild107
-rw-r--r--misc/xcb-imdkit/xcb-imdkit.info10
4 files changed, 144 insertions, 0 deletions
diff --git a/misc/xcb-imdkit/README b/misc/xcb-imdkit/README
new file mode 100644
index 0000000000..a9aaa69367
--- /dev/null
+++ b/misc/xcb-imdkit/README
@@ -0,0 +1,8 @@
+xcb-imdkit is an implementation of the xim protocol in xcb. Compared
+with the implementation of IMDkit with Xlib, and xim inside Xlib, it
+has a smaller memory footprint, better performance, and is safer on
+malformed clients. And not to say it's all asynchronous and it works
+with xcb.
+
+To build this project, you need: libxcb, xcb-util, xcb-util-keysym,
+which are all included in a full Slackware installation.
diff --git a/misc/xcb-imdkit/slack-desc b/misc/xcb-imdkit/slack-desc
new file mode 100644
index 0000000000..73fec52ff7
--- /dev/null
+++ b/misc/xcb-imdkit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+xcb-imdkit: xcb-imdkit (implementation of the xim protocol in xcb)
+xcb-imdkit:
+xcb-imdkit: xcb-imdkit is an implementation of the xim protocol in xcb. Compared
+xcb-imdkit: with the implementation of IMDkit with Xlib, and xim inside Xlib, it
+xcb-imdkit: has a smaller memory footprint, better performance, and is safer on
+xcb-imdkit: malformed clients. And not to say it's all asynchronous and it works
+xcb-imdkit: with xcb.
+xcb-imdkit:
+xcb-imdkit: Homepage: https://github.com/fcitx/xcb-imdkit
+xcb-imdkit:
+xcb-imdkit:
diff --git a/misc/xcb-imdkit/xcb-imdkit.SlackBuild b/misc/xcb-imdkit/xcb-imdkit.SlackBuild
new file mode 100644
index 0000000000..40ab7c4b16
--- /dev/null
+++ b/misc/xcb-imdkit/xcb-imdkit.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/bash
+
+# Slackware build script for xcb-imdkit
+
+# Copyright 2022 Wen-Wei Kao (ltlnx) Taipet, Taiwan
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=xcb-imdkit
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENSES/* README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/misc/xcb-imdkit/xcb-imdkit.info b/misc/xcb-imdkit/xcb-imdkit.info
new file mode 100644
index 0000000000..112279fb05
--- /dev/null
+++ b/misc/xcb-imdkit/xcb-imdkit.info
@@ -0,0 +1,10 @@
+PRGNAM="xcb-imdkit"
+VERSION="1.0.3"
+HOMEPAGE="https://github.com/fcitx/xcb-imdkit"
+DOWNLOAD="https://download.fcitx-im.org/fcitx5/xcb-imdkit/xcb-imdkit-1.0.3.tar.xz"
+MD5SUM="9b4f2914127779114a4f3067a53cde3f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="ltlnx"
+EMAIL="ltlnx.tw@gmail.com"